Subject: device names

From: [email-masked]
Date: Mon, 06 Apr 92 11:44:17 BST

I very much like Linus's suggestions, but I have one reservation.
The use of upper case/lower case to distinguish between 3.5/5.25
inch drives leaves us with no way of incorporating other sizes
into the pattern unless their disk geometries match one of these
two.  (In any case, I have already changed my /devs to
fd0H1440 and fd1h1200 and so forth.)
 
Standardising device names is a pain, since there is not a great
deal of uniformity among existing systems.  It may be tempting
to adopt names or name formats from elsewhere, which DOES have
the advantage of not adding to the muddle, but we must be
cautious about carrying over conventions which may hinder Linux's
usefulness.  I am no Unix beginner, but if it helps beginners,
I'm for it.  I say this because many will be (and already are)
using Linux who have little or no Unix experience, and we are
already seeing dozens of questions from them on comp/alt.os.linux
and elsewhere.
 
I was listening with an open mind (I hope) to the suggestion
that we abandon device-specific names in favour of generic names,
e.g., fd0 for all floppies on the first drive.  There is a lot
to be said for this kind of simplicity, which could, for example,
be created by an installation/configuration script, and I haven't
completely rejected it.  But among the problems I see with it,
one stands out in particular.  It is in fact necessary to have
different device names for differently formatted floppies in the
same drive.  This is partially because there is no generic way
of finding out the disk's parameters.  Moreover, I and most of
my users have many disks of many densities, so I can't see this
problem going away.
 
     -- Owen
     [email-masked]